<div class="input-dialog">
  <div class="input-dialog-head">
    <h3>Sign In</h3>
  </div>
  <form {{on "submit" this.submitLoginForm}}>
    <div class="form-group">
      <label for="email">Email address</label>
      <Input type="email" class="form-control" name="email" id="email" aria-describedby="email" placeholder="Enter email"  required @value={{this.email}}/>
    </div>
    <div class="form-group">
      <label for="password">Password</label>
      <Input type="password" class="form-control" id="password" name="password" placeholder="Enter Password" required @value={{this.password}}/>
    </div>
    <div class="form-group">
      <a href="#" style="text-decoration: none">Forgot Password?</a>
    </div>
    <div class="text-center">
      <button type="submit" class="btn btn-primary">Sign In</button>
    </div>
    {{#if this.errorMessage}}
      <div class="alert alert-danger mt-3" role="alert">
        {{this.errorMessage}}
      </div>
    {{/if}}
    <div class="form-group mt-3">
      New to BankApp? <LinkTo @route="register">Register Now</LinkTo>
    </div>
  </form>
</div>
{{yield}}